[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# DynArrayDim

Return the number of dimensions in a dynamic array

## Declaration

Source position: dynarrh.inc line 40

`function DynArrayDim(`
`typeInfo: Pointer`
`):Integer;`

## Description

DynArrayDim returns the number of dimensions in a dynamic array, using the type information (typeInfo) of the array.

## See also

InitializeArray |  | Initialize managed-type elements in array
FinalizeArray |  | Finalize managed-type elements in array
CopyArray |  | Copy managed-type elements in array
DynArraySize |  | Return length of dynamic array
DynArrayClear |  | Clears a dynamic array
DynArrayBounds |  | Return the bounds of the dynamic array